Bug 235508 - [NEW PORT] net-p2p/sonarr3: PVR for Usenet and BitTorrent users
Summary: [NEW PORT] net-p2p/sonarr3: PVR for Usenet and BitTorrent users
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2019-02-05 05:29 UTC by Rob
Modified: 2019-09-19 10:01 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (feld)


Attachments
sonarr3.diff (4.11 KB, patch)
2019-02-05 05:29 UTC, Rob
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rob 2019-02-05 05:29:47 UTC
Created attachment 201734 [details]
sonarr3.diff
Comment 1 Rodrigo Osorio freebsd_committer 2019-08-22 18:49:35 UTC
Hi Rob,

Just a couple of questions to understand your motivations.

 * If I understand, you creates a new port fos sonar
   is because the v3 is a beta version, right?

*  Why do you need a beta version instead of the the released one ?

*  If you think onece released the new version will replace the v3,
   maybe we should rename it soner-devel ?

Thanks for your answers,
-- rodrigo
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-23 03:57:23 UTC
^Triage: CC current maintainer of net-p2p/sonarr for feedback on comment 1
Comment 3 Rob 2019-08-23 04:20:12 UTC
v3 is new version of sonarr. It is a major update. Updating from v2 requires database migration, done automatically on supported platforms (i don't remember if that is the case with this port).
It is still in beta and can break from time to time. It has significant improvements over previous version. I personally find these improvements important.
I was just playing with making ports etc and thought that this version isn't there so maybe i can create it. I didn't mean to create any offense to previous version port of the software. This port is largely based on v2 port. If it is not needed then this version can be scrapped since I didn't think about the fact that it is still in beta.
As for naming scheme, v2 has master (stable) and develop (nightly) branches and v3 has phantom (beta) and phantom-develop (nightly) branches. This one is based on phantom-develop branch. After re-thinking about it, I think phantom branch would be a better option for this port.
Comment 4 Mark Felder freebsd_committer 2019-08-27 15:59:16 UTC
It probably makes sense from a ports tree consistency standpoint to name this sonarr-devel

I'll get this tested soon
Comment 5 commit-hook freebsd_committer 2019-09-18 23:40:12 UTC
A commit references this bug:

Author: feld
Date: Wed Sep 18 22:50:10 UTC 2019
New revision: 512297
URL: https://svnweb.freebsd.org/changeset/ports/512297

Log:
  Add net-p2p/sonarr-devel to the tree

  The sonarr-devel port tracks the development releases of Sonarr's
  v3 phantom branch.

  If you previously had net-p2p/sonarr installed, it will automatically
  upgrade your database after backing up the v2 database files.

  PR:		235508
  Submitted by:	rodrigo

Changes:
  head/net-p2p/Makefile
  head/net-p2p/sonarr-devel/
  head/net-p2p/sonarr-devel/Makefile
  head/net-p2p/sonarr-devel/distinfo
  head/net-p2p/sonarr-devel/files/sonarr.in
Comment 6 Rodrigo Osorio freebsd_committer 2019-09-19 10:01:22 UTC
Sonarr3 beta committed as net-p2p/sonarr-devel.

Thanks Rob for the bug report and feld for the commit.